﻿.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 80px; /* 👈 scroll button se upar */
    right: 20px;
    background-color: #25D366;
    color: #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 28px;
    line-height: 60px;
    z-index: 9999;
    box-shadow: 0 4px 12px rgba(0,0,0,0.2);
    transition: all 0.3s ease;
}

    .whatsapp-float:hover {
        transform: scale(1.1);
        background-color: #1ebe5d;
    }

    .whatsapp-float i {
        line-height: 60px;
    }



    /*Chat With us*/
    .wa-text {
        position: absolute;
        right: 70px;
        background: #333;
        color: #fff;
        padding: 5px 10px;
        border-radius: 5px;
        font-size: 12px;
        opacity: 0;
        transition: 0.3s;
        white-space: nowrap;
    }

    .whatsapp-float:hover .wa-text {
        opacity: 1;
    }




    /*--Shadow Effect*/
    .whatsapp-float {
        animation: pulse 2s infinite;
    }

    @keyframes pulse {
        0% {
            box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
        }

        70% {
            box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
        }

        100% {
            box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
        }
    }


    /*Google Transalte*/
.goog-te-gadget {
    font-size: 0; /* extra text hide */
}

    .goog-te-gadget .goog-te-combo {
        padding: 6px 10px;
        border-radius: 5px;
        border: 1px solid #ccc;
        background-color: #fff;
        font-size: 14px;
        cursor: pointer;
    }

    /* Google ka unwanted text hide */
    .goog-logo-link,
    .goog-te-gadget span {
        display: none !important;
    }

    /* top bar hide */
    body {
        top: 0px !important;
    }

    .goog-te-banner-frame {
        display: none !important;
    }

    .lang-dropdown {
        display: flex;
        align-items: center;
        margin-left: 10px;
    }
    /*.whatsapp-float {
                position: fixed;
                width: 55px;
                height: 55px;
                bottom: 20px;
                right: 20px;
                background-color: #25D366;
                color: white;
                font-size: 28px;
                text-align: center;
                line-height: 55px;
                border-radius: 50%;
                z-index: 1000;
                text-decoration: none;
            }*/